Install sshd:
  pkg.installed:
    - name: openssh-server

start sshd:
  service.running:
    - name: sshd
    - enable: True

{% if pillar['ssh']['user-pub-keys'] %}
{{ pillar['username'] }}_autherized_keys:
  ssh_auth:
    - present
    - user: {{ pillar['username'] }}
    - names: {{ pillar['ssh']['user-pub-keys'] }}
{% endif %}
