proxy configuration for nginx:
  file.managed:
    - name: /etc/nginx/vhosts.d/rancher-proxy.conf
    - source: salt://rancher/files/rancher-proxy.conf.jinja
    - template: jinja
    - user: root
    - group: root
    - mode: "0644"

reload nginx:
  service.running:
    - name: nginx
    - watch:
      - file: proxy configuration for nginx
